Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Homebrew 5.0.0 upgrade issue #1124

Open
chenrui333 opened this issue Jul 26, 2019 · 1 comment

Comments

@chenrui333
Copy link

commented Jul 26, 2019

Description

Relates to Homebrew/homebrew-core#42236

01:23:30 /usr/local/Cellar/itk/5.0.0/include/ITK-5.0/itkConfigure.h:59:6: warning: "WARNING: The current project is configured to use a C++ standard version older than the C++ standard used for this build of ITK" [-W#warnings]
01:23:30 #warning "WARNING: The current project is configured to use a C++ standard version older than the C++ standard used for this build of ITK"
01:23:30 ^
01:23:30 In file included from test.cxx:1:
01:23:30 In file included from /usr/local/Cellar/itk/5.0.0/include/ITK-5.0/itkImage.h:21:
01:23:30 In file included from /usr/local/Cellar/itk/5.0.0/include/ITK-5.0/itkImageRegion.h:31:
01:23:30 In file included from /usr/local/Cellar/itk/5.0.0/include/ITK-5.0/itkRegion.h:31:
01:23:30 In file included from /usr/local/Cellar/itk/5.0.0/include/ITK-5.0/itkObject.h:31:
01:23:30 In file included from /usr/local/Cellar/itk/5.0.0/include/ITK-5.0/itkLightObject.h:21:
01:23:30 /usr/local/Cellar/itk/5.0.0/include/ITK-5.0/itkMacro.h:166:6: error: "Apple LLVM < 5.0 (clang < 3.3) is not supported under ITKv5"
01:23:30 #error "Apple LLVM < 5.0 (clang < 3.3) is not supported under ITKv5"
01:23:30 ^
01:23:30 In file included from test.cxx:1:
01:23:30 In file included from /usr/local/Cellar/itk/5.0.0/include/ITK-5.0/itkImage.h:21:
@thewtex

This comment has been minimized.

Copy link
Member

commented Jul 29, 2019

@chenrui333 thanks for packaging ITK 👏

Side note: ITK 5.0.1 is now out.

#warning "WARNING: The current project is configured to use a C++ standard version older than the C++ standard used for this build of ITK"

Is Homebrew changing the C++ standard used?

01:23:30 /usr/local/Cellar/itk/5.0.0/include/ITK-5.0/itkMacro.h:166:6: error: "Apple LLVM < 5.0 (clang < 3.3) is not supported under ITKv5"

What is the compiler used?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.